// gestion des menus

#include "acp_base.h"
#include "MSN.H"

#define NO_ACP_SCRIPT
#include "SND.h"

#include "mnusnd.h"

//variables globales
char szTargetLabel[8];
char szTargetDLLName[256];
HINSTANCE hDLL=NULL;
HMODULE hModule=NULL;

//fonctions importées
#define DLLCALL 
SND_DefinePointer1(SNDMNUInit,ACP_tdxBool,HINSTANCE);

//fonctions publiques
ACP_tdxBool MSN_fn_vInit()
{
	//obtention de la target
	memset(szTargetLabel,0,sizeof(szTargetLabel));
	SND_fn_vGetTargetLabelSound(szTargetLabel,sizeof(szTargetLabel));

	strcpy(szTargetDLLName,SND_fn_szGetSoftDirectory());
	strcat(szTargetDLLName,"\\MNUSND");
	strcat(szTargetDLLName,szTargetLabel);
	strcat(szTargetDLLName,".DLL");

	if ((hDLL=LoadLibrary(szTargetDLLName))!=NULL)
	{//importation des fonctions de MNUSND.DLL
		hModule=GetModuleHandle(NULL);
		DLLpfn_SNDMNUInit=(DLLtdpfn_SNDMNUInit)GetProcAddress(hDLL,"SNDMNUInit");

		SNDMNUInit(hModule);
	}

	if (hDLL==NULL) 
		return FALSE;
	else
		return TRUE;
}


